
Redmine - Defect #12513

Grouping of issues by custom fields not correct in PDF export

2012-12-05 14:54 - Chrisitian Noack

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.1.5   

Resolution: Fixed Affected version: 2.1.4

Description

If you group issues by a custom field the index shows correctly in HTML. In PDF issues belonging to the same group value are not

grouped (excpet those who have a nil value in the group field).

This error occurs in 2.1.2 and newer versions. I have a fix for that, you find my patch in the attachments.

Best regards,

Christian

Related issues:

Has duplicate Redmine - Defect #11285: Problem with PDF export if a custom fi... Closed

Associated revisions

Revision 10956 - 2012-12-08 10:45 - Jean-Philippe Lang

Fixed that issues grouped by custom field is broken in PDF export (#12513).

Revision 11003 - 2012-12-15 08:50 - Jean-Philippe Lang

Merged r10956 from trunk (#12513).

Revision 11004 - 2012-12-15 08:51 - Jean-Philippe Lang

Merged r10956 from trunk (#12513).

History

#1 - 2012-12-05 14:56 - Chrisitian Noack

Please include this (or another) solution to coming versions of redmine. Who sets the status of this issue to resolved? Me? Or will it be resolved when

it's include in the HEAD of the redmine development?

#2 - 2012-12-05 15:10 - Chrisitian Noack

- File pdf.patch added

This first attached file fix_pdf_export.diff comes from git and may not be usable for you. Please use the second one (pdf.patch). You can install it this

way:

cd to the folder lib/redmine/export

patch < pdf.patch

#3 - 2012-12-08 10:45 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.5

- Resolution set to Fixed

Chrisitian Noack wrote:

This first attached file fix_pdf_export.diff comes from git and may not be usable for you.
 Oh thanks, but a git diff is still a diff :-)

Problem fixed in r10956. Thanks for pointing this out.

#4 - 2012-12-15 08:51 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 2.1 and 2.2.

Files

fix_pdf_export.diff 919 Bytes 2012-12-05 Chrisitian Noack

pdf.patch 837 Bytes 2012-12-05 Chrisitian Noack
